Bug 92925 - Remove export of old and obsolete graphic formats
Summary: Remove export of old and obsolete graphic formats
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium minor
Assignee: Bryan Quigley
URL:
Whiteboard: target:5.2.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicCleanup
Depends on:
Blocks: File-Export-Formats
  Show dependency treegraph
 
Reported: 2015-07-25 04:50 UTC by Tomaz Vajngerl
Modified: 2018-03-18 21:47 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomaz Vajngerl 2015-07-25 04:50:27 UTC
I analyzed some times ago graphic formats that are supported by LO. A lot of this formats are long obsolete and practically not used anymore. I think it is fairly safe to remove the exports for this formats (mainly used by draw / impress export) but let's keep import.

This formats to remove export are:

MET - OS/2 Metafile
PBM - Portable Bitmap
PCD - Kodak Photo CD
PGM - Portable Graymap
PPM - Portable Pixelmap
RAS - Sun Raster Image
XPM - X Pixmap
PCT - Mac Pict

If some still needs to export to this formats he can do this any external graphic format that still supports them (which can even do a better job than LO).

Filters are located in [1] (files starting with "e") and fragments for graphic filters [2] (and around this). The GraphicFilter in vcl needs to be modified [3] + everywhere where the exports are used. Export dialog needs adjustment too [4] (remove all the graphic specific settings).

[1] http://cgit.freedesktop.org/libreoffice/core/tree/filter/source/graphicfilter

[2] http://cgit.freedesktop.org/libreoffice/core/tree/filter/source/config/fragments/internalgraphicfilters

[3] http://cgit.freedesktop.org/libreoffice/core/tree/vcl/source/filter/graphicfilter.cxx#n1801

[4] http://cgit.freedesktop.org/libreoffice/core/tree/svtools/source/filter/exportdialog.cxx

Good luck!
Comment 1 Björn Michaelsen 2015-11-07 02:04:38 UTC
@Tomasz: please help out with https://gerrit.libreoffice.org/#/c/19788/ https://gerrit.libreoffice.org/#/c/19833/
Comment 2 Commit Notification 2015-12-01 18:13:34 UTC
Bryan Quigley committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f3f653e106a3ff9d33280a1786ece974d7a77735

tdf#92925 Remove PCT export 

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2015-12-02 06:33:00 UTC
Bryan Quigley committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9027629b0e09b3b024a5821bb791308039bb5d8b

tdf#92925 Remove RAS export

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-12-02 06:36:31 UTC
Bryan Quigley committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=630ec7110ec822d1d380d5181bcbb2570a129a21

tdf#92925 Remove XPM export

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-12-04 08:16:30 UTC
Bryan Quigley committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2ac0bd278d739382d8e534f5bbae34e55757a844

tdf#92925 Remove PBM, PGM, and PPM Export

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Bryan Quigley 2015-12-04 14:58:52 UTC
AFAICT PCD - Kodak Photo CD is import only already. 
That only leaves MET - OS/2 Metafile from this list.

Thoughts on removing the Starview Metafile SVM export as well?  Or does it have a use outside of internal LO use?
Comment 7 Tomaz Vajngerl 2015-12-04 15:14:59 UTC
(In reply to Bryan Quigley from comment #6)
> Thoughts on removing the Starview Metafile SVM export as well?  Or does it
> have a use outside of internal LO use?

Makes sense to remove it too.. but just the entries so it doesn't show up in export file dialog.
Comment 8 Tomaz Vajngerl 2015-12-04 16:26:06 UTC
(In reply to Tomaz Vajngerl from comment #7)
> Makes sense to remove it too.. but just the entries so it doesn't show up in
> export file dialog.

To clarify - we still use SVM for "fallback" graphics (like for OLE objects,...) in documents so export implementation should not be removed. Remove only what is needed to get it out of the file dialog.
Comment 9 Joel Madero 2015-12-05 07:15:11 UTC
@Bryan - are you still dealing with this one? If so, can we assign it to you?
Comment 10 Bryan Quigley 2015-12-07 20:15:08 UTC
(In reply to Joel Madero from comment #9)
> @Bryan - are you still dealing with this one? If so, can we assign it to you?

Sure I'll finish it up.  Thanks!
Comment 11 Robinson Tryon (qubit) 2015-12-14 06:36:25 UTC Comment hidden (obsolete)
Comment 12 Commit Notification 2016-01-05 10:26:12 UTC
Bryan Quigley committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4feaf73a4da939be741516edd3636d1a3c3fc0e2

tdf#92925 Remove SVM export from Impress/Draw

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2016-01-13 17:35:43 UTC
Bryan Quigley committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a0537ec8038562152b07d11d51833c9488428f19

tdf#92925 Remove MET (OS/2) export

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Bryan Quigley 2016-01-13 18:16:20 UTC
That's all of them.  

From going through this list I wanted to mention that if we want to remove import support in the future I suggest starting with:
PCT - Mac Pict
PBM,GM,PM - Portable Bitmap, Graymap, Pixelmap (actually the format might just be bad)
MET - OS/2 Metafile
Comment 15 Robinson Tryon (qubit) 2016-02-18 16:37:27 UTC Comment hidden (obsolete)